    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.util.zip.CheckedOutputStream

    java.lang.Object
       |
       +----java.io.OutputStream
               |
               +----java.io.FilterOutputStream
                       |
                       +----java.util.zip.CheckedOutputStream

public class CheckedOutputStream
extends FilterOutputStream

An output stream that also maintains a checksum of the data being written. The checksum can then be used to verify the integrity of the output data.

See Also:
  Checksum

##

CheckedOutputStream(OutputStream, Checksum)
  Creates an output stream with the specified Checksum.

##

getChecksum()
  Returns the Checksum for this output stream.
write(byte[], int, int)
  Writes an array of bytes.
write(int)
  Writes a byte.

##

CheckedOutputStream

     public CheckedOutputStream(OutputStream out,
                                Checksum cksum)

  Creates an output stream with the specified Checksum.

  Parameters:
    out - the output stream
    cksum - the checksum

##

write

     public void write(int b) throws IOException

  Writes a byte. Will block until the byte is actually written.

  Parameters:
    b - the byte to be written
  Throws: IOException
    if an I/O error has occurred
  Overrides:
    write in class FilterOutputStream

write

     public void write(byte b[],
                       int off,
                       int len) throws IOException

  Writes an array of bytes. Will block until the bytes are actually written.

  Parameters:
    buf - the data to be written
    off - the start offset of the data
    len - the number of bytes to be written
  Throws: IOException
    if an I/O error has occurred
  Overrides:
    write in class FilterOutputStream

getChecksum

     public Checksum getChecksum()

  Returns the Checksum for this output stream.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.